/*
 * This program is copyright (c) 2007 Hortis-GRC SA.
 *
 * This file is part of Sonar.
 * Sonar is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * Sonar is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Sonar; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA
 */
package ch.hortis.sonar.model;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.SequenceGenerator;
import javax.persistence.Table;

@Entity
@Table(name = "parameters")
public class Parameter {
  @Id
  @Column(name = "id")
  @SequenceGenerator(name= "PARAMETERS_SEQ", sequenceName = "PARAMETERS_SEQ")
  @GeneratedValue(strategy = GenerationType.AUTO, generator = "PARAMETERS_SEQ")
  private Integer id;

  @Column(name = "param_key", updatable = false, nullable = false)
  private String key;

  @Column(name = "value", updatable = false, nullable = true, precision = 30, scale = 20)
  private Double value;

  @Column(name = "value2", updatable = false, nullable = true, precision = 30, scale = 20)
  private Double value2;

  public Parameter( String key, Double value, Double value2 ) {
    this.key = key;
    this.value = value;
    this.value2 = value2;
  }

  public Parameter() {
  }

  public Integer getId() {
    return id;
  }

  public void setId( Integer id ) {
    this.id = id;
  }

  public String getKey() {
    return key;
  }

  public void setKey( String key ) {
    this.key = key;
  }

  public Double getValue() {
    return value;
  }

  public void setValue( Double value ) {
    this.value = value;
  }

  public Double getValue2() {
    return value2;
  }

  public void setValue2( Double value2 ) {
    this.value2 = value2;
  }
}
