/*
 * This program is copyright (c) 2007 Hortis-GRC SA.
 * 
 * This file is part of Sonar.
 * Sonar is free software; you can redistribute it and/or modify 
 * it under the terms of the GNU General Public License as published by 
 * the Free Software Foundation; either version 2 of the License, or 
 * (at your option) any later version.
 * 
 * Sonar is distributed in the hope that it will be useful, 
 * but WITHOUT ANY WARRANTY; without even the implied warranty of 
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the 
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License 
 * along with Sonar; if not, write to the Free Software 
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA
 */
package ch.hortis.sonar.service;

import ch.hortis.sonar.model.Metric;
import ch.hortis.sonar.model.Metrics;

import javax.persistence.EntityManager;
import javax.persistence.FlushModeType;
import javax.persistence.NoResultException;
import javax.persistence.Query;
import java.util.Collection;

public class MetricService extends Service {

  public MetricService( EntityManager manager ) {
    super( manager );
  }
  
  public Metric getMetric( Metrics metric ) throws NoResultException {
    return getMetric( metric.getName() );
  }

  public Metric getMetric( String metricName ) throws NoResultException {
    Query query = manager.createNamedQuery( Metric.SQL_SELECT_BY_NAME );
    query.setFlushMode( FlushModeType.COMMIT );
    query.setParameter( "name", metricName );
    return (Metric) query.getSingleResult();
  }

  public Collection<Metric> getMetrics() {
    Query query = manager.createNamedQuery( Metric.SQL_SELECT_ALL );
    query.setFlushMode( FlushModeType.COMMIT );
    return query.getResultList();
  }
}
